{{/*
Expand the name of the chart.
*/}}
{{- define "ceph-controller.name" -}}
{{- default .Chart.Name .Values.nameOverride | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "ceph-controller.image" -}}
{{- if (.Values.images.cephController.fullName) -}}
{{- .Values.images.cephController.fullName -}}
{{- else -}}
{{- printf "%s/%s:%s" .Values.global.dockerBaseUrl .Values.images.cephController.repository .Values.images.cephController.tag -}}
{{- end -}}
{{- end -}}

{{- define "ceph-controller.version" -}}
{{- if (.Values.images.cephController.fullName) -}}
{{- .Values.images.cephController.fullName -}}
{{- else -}}
{{- .Values.images.cephController.tag -}}
{{- end -}}
{{- end -}}
{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "ceph-controller.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Common labels
*/}}
{{- define "ceph-controller.labels" -}}
app.kubernetes.io/name: {{ include "ceph-controller.name" . }}
helm.sh/chart: {{ include "ceph-controller.chart" . }}
app.kubernetes.io/instance: {{ .Release.Name }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end -}}

{{define "ceph_controller_namespace"}}{{"ceph-lcm-mirantis"}}{{end}}